Description

I'd like to be able to lookup foreman settings from within the unattended install templates (finish.sh, puppet.conf in particular).  I've

had a try at adding it, however my ruby skills are too poor at this stage.

As background, the reason why I'm adding this is because is because otherwise I'm unable to build a host.

If I set a host as follows:

Puppet Master Proxy: blank

Puppet Master FQDN: puppet.example.com

Then provisioning fails (when getting the debian preseed file) with:

provisioning fails "Managing Puppet CA without a smart-proxy will not be supported in the next release" (but we are managing

puppet CA, it's puppet we weren't - and even if I then change the smart-proxy to managing puppet I still get this error).

However if I set a host with:

Puppet Master Proxy: Foreman proxy

then although the preseed part of provisioning works, puppet.conf and finish.sh fail as they use foreman-proxy.example.com as the

puppetmaster rather than puppet.example.com.

this is all on foreman v0.4.1-1

History

#1 - 02/09/2012 06:48 AM - Ohad Levy

OK - please

1. open a new bug about the above issue

2. you can try using Setting.<setting_name> and you should get the value, most likely you would need to turn off safe mode rendering

3. close the ticket if you are OK with the above :)

#2 - 02/10/2012 04:10 AM - Adrian Bridgett

2) works a treat, thanks Ohad!

I'm happy with it, I've added it to http://theforeman.org/projects/foreman/wiki/TemplateWriting

#3 - 02/10/2012 04:12 AM - Adrian Bridgett

I don't think I have permissions to mark this resolved sadly.  Either that or I just can't find how!

#4 - 06/24/2012 05:35 AM - Ohad Levy

- Status changed from New to Resolved
